Outstanding ticket regarding upgrade

I placed the ticket http://trac.yatta.de/ticket/100391 on 13 Aug 2014 because UMLLab keeps reporting an available software upgrade which does not take effect when I go through update process. Will I get a reply to this ticket?

Terry O'K.

Comments

  • Hi,

    Sorry for getting back to you so late. I'll take a closer at the ticket right now.

    Best regards,
    Manuel
  • I never did get a reply. I noticed the ticket was closed without asking. I downloaded and installed v1.7.1 (64 bit, see further for errors with 32bit version) and get the following stackTrace whenever I start umllab. I have tried this on LinuxMint (Ubuntu) version 14, 15 and 16.

    Terry O'K.
    ============================
    java.lang.VerifyError: Illegal type at constant pool entry 47 in class com.yattasolutions.umllab.validation.a$b
    Exception Details:
    Location:
    com/yattasolutions/umllab/validation/a$b.a(Lorg/objectweb/asm/ClassWriter;Ljava/lang/String;Ljava/lang/String;)V @15: invokeinterface
    Reason:
    Constant pool index 47 is invalid
    Bytecode:
    0000000: 2b04 1203 1201 0101 b600 2d3a 0419 04b9
    0000010: 002f 0100 1904 1019 03b9 0037 0300 1904
    0000020: 1100 b72d 1203 1201 b900 3605 0019 0411
    0000030: 00b1 b900 3102 0019 0404 04b9 0035 0300
    0000040: 1904 b900 3001 00b1

    at com.yattasolutions.umllab.validation.a.a(SourceFile:206)
    at com.yattasolutions.umllab.validation.a.S(SourceFile:149)
    at com.yattasolutions.umllab.validation.a$1.ads(SourceFile:101)
    at com.yattasolutions.umllab.validation.a$1.findClass(SourceFile:91)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:425)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:358)
    at com.yattasolutions.umllab.validation.a.R(SourceFile:119)
    at com.yattasolutions.umllab.validation.f.(SourceFile:40)
    at com.yattasolutions.obf.op.a.earlyStartup(SourceFile:17)
    at org.eclipse.ui.internal.EarlyStartupRunnable.runEarlyStartup(EarlyStartupRunnable.java:89)
    at org.eclipse.ui.internal.EarlyStartupRunnable.run(EarlyStartupRunnable.java:67)
    at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
    at org.eclipse.ui.internal.Workbench$56.run(Workbench.java:2755)
    at org.eclipse.core.internal.jobs.Worker.run(Worker.java:54)
    =======================================
    I also tried the 32 bit version:-
    =======================================
    ./umllab
    Java HotSpot(TM) 64-Bit Server VM warning: You have loaded library /home/tel2/WTOOLS/UMLLab/plugins/org.eclipse.equinox.launcher.gtk.linux.x86_1.1.200.v20140603-1326/eclipse_1605.so which might have disabled stack guard. The VM will try to fix the stack guard now.
    It's highly recommended that you fix the library with 'execstack -c ', or link it with '-z noexecstack'.

  • Hi,

    Sorry for the misunderstanding, I closed the ticket two weeks ago because I didn't get a reply - you should have received my answer on ticket https://trac.yatta.de/ticket/100391 eight weeks ago:

    Hi,

    Sorry for getting back to you so late. Apparently the update did not succeed, as the
    indicated bundle versions are still 1.6.2.x.

    Could you please retry updating by using the update site ​http://update.yatta.de/umllab
    (Help->Install New Software)? Please select only UML Lab Modeling IDE. Afterwards,
    Eclipse should state that UML Lab is already installed and an update will be performed
    instead. If this doesn't work, send me your logfile; you'll find it in your workspace's
    .metadata folder.

    Thank you,
    Manuel


    Did the update finally succeed?

    Thank you for reporting the problem Illegal type at constant pool entry 47 in class - it's a known problem, and we'll fix it in the next release.

    Sorry for any inconvenience caused.

    Best regards,
    Manuel
Sign In or Register to comment.